๐Ÿ”’ Update customer V3

This endpoint is currently in Beta and available for testing. It may contain bugs, and breaking changes can occur at any time without prior notice. We do not recommend using Beta endpoints in production environments. Should you choose to use it in production, you assume full responsibility for any resulting issues.

This endpoint requires the following scopes: customer:update.

Update an existing customer.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requestsโ€ฆ
LoadingLoadingโ€ฆ
Path Params
string
required
Body Params
string

Customer number

string | null

Deviating debtor account number for accounting

string | null

Routing ID (German: Leitweg-ID) used as the buyer reference on e-invoices. Takes precedence over the legacy free field 20.

mainProject

Main project the customer belongs to

primaryAddress
object

Primary address information for the customer

deviatingBillingAddress

Deviating billing address information. Set to null to delete the deviating billing address.

communication
object

Communication preferences and settings

financials
object

Financial information and settings

fulfillment
object

Fulfillment and delivery settings

documentDelivery
object

Document delivery preferences

accountManager

Account manager reference

salesManager

Sales manager with commission

originSalesChannel

Origin sales channel reference

groups
array of objects

Groups the customer belongs to

groups
customerRoles
array of objects

Customer roles associated with projects. All provided roles will be upserted.

customerRoles
customFields
array of objects

Custom fields for additional custom data

customFields
string | null

Notes for the customer

tags
array of objects

Tags assigned to the customer. The passed list replaces the currently assigned tags; omit the property to leave them unchanged. Each entry references an existing tag by id or names a tag by title, which is created if it does not exist; exactly one of the two.

tags
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

Unauthorized

403

Forbidden

404

Not Found

Language
Credentials
Bearer
URL
LoadingLoadingโ€ฆ
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json